Status: Closed Priority: Should have
Author: Christian Kuhn Category:
Created: 2012-08-02 Assigned To: Chris topher
Updated: 2013-10-14 Due date:
Subject: Mark all config.stat* options as removed
Description

Functionality was dropped with #39347, target: 6.0

Also remove these options in examples, if anywhere mentioned.

Related issues:
follows Core - Task # 39347: Remove page hit statistics Resolved 2012-07-28

Associated revisions
Revision 1dec43b7 - 2012-10-22 18:10 - Chris topher

[TASK] Mark all config.stat* options as removed

All statistics related functionality was dropped from the TYPO3 core.

Change-Id: I7b45e96c7958babeac2555f4c652387f9b172dbf
Resolves: #39468

History
#1 - 2012-08-02 18:10 - Francois Suter
- Project changed from Documentation to TypoScript Reference (TSref)

#2 - 2012-08-02 18:12 - Francois Suter

Note that the parameters must not be removed entirely from the TSref. They must just be marked as removed as of TYPO3 6.0. They must be left so
that the documentation can still be used for older versions.

#3 - 2012-08-03 17:01 - Chris topher
- Subject changed from Tsref: Remove all config.stat* parameters to Mark all config.stat* parameters as removed
- Target version set to 6.0

#4 - 2012-10-22 14:45 - Chris topher
- Tracker changed from Bug to Task
- Subject changed from Mark all config.stat* parameters as removed to Mark all config.stat* options as removed

#5 - 2012-10-22 17:50 - Chris topher

In the API in typo3\sysext\frontend\Classes\Controller\TypoScriptFrontendController.php some of the stat* options were deprecated, but are still
mentioned. However, all the functions to actually write the results to logfiles have been removed, so that these options on its own won't work any more
and TSref does not document extensions (which in that case would make use of deprecated stuff and also should stop doing so btw).
#6 - 2012-10-22 17:59 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15888

#7 - 2012-10-22 18:06 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15888

#8 - 2012-10-22 18:09 - Chris topher
- Assigned To set to Chris topher

#9 - 2012-10-22 18:35 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1dec43b752318463b2cbb2d964dcd12b8aee650c.

#10 - 2013-03-03 20:51 - Chris topher
- Status changed from Resolved to Closed
